// Generated by CoffeeScript 1.8.0
var log;

log = require('./utils').log;

module.exports = {
  createServer: function(opts) {
    var app, connect, server;
    if (opts == null) {
      opts = {};
    }
    if (opts.host == null) {
      opts.host = '0.0.0.0';
    }
    if (opts.port == null) {
      opts.port = 3000;
    }
    if (opts.workDir == null) {
      opts.workDir = process.cwd();
    }
    connect = require('connect');
    app = connect();
    app.use(connect.favicon());
    app.use(require('./middleware')());
    app.use(connect.logger('dev'));
    if (opts.user && opts.pass) {
      app.use(connect.basicAuth(opts.user, opts.pass));
    }
    app.use(connect["static"](opts.workDir));
    app.use(connect.directory(opts.workDir, {
      hidden: true
    }));
    server = require('http').createServer(app);
    server.run = function() {
      return server.listen(opts.port, opts.host, function() {
        return log.info('bebop', "listening on " + opts.host + ":" + opts.port);
      });
    };
    return server;
  }
};

//# sourceMappingURL=server.js.map
